Package org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl

# Class AbstractTableOrTreeMergeViewer

java.lang.Object
org.eclipse.jface.viewers.Viewer
org.eclipse.jface.viewers.ContentViewer
org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl.AbstractMergeViewer
org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl.AbstractStructuredMergeViewer
org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl.AbstractTableOrTreeMergeViewer

All Implemented Interfaces:
  `IMergeViewer`, `org.eclipse.jface.viewers.IInputProvider`, `org.eclipse.jface.viewers.IInputSelectionProvider`, `org.eclipse.jface.viewers.ISelectionProvider`

Direct Known Subclasses:
  `TableMergeViewer`, `TreeMergeViewer`

public abstract class AbstractTableOrTreeMergeViewer extends AbstractStructuredMergeViewer
An abstract specialization of `AbstractStructuredMergeViewer` for Tables or Trees.

Since:
  4.0

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`AbstractTableOrTreeMergeViewer.ElementComparer`
A specific implementation of `IElementComparer` that compare EMF Compare Viewer Items.
`static class`
`AbstractTableOrTreeMergeViewer.MesureItemListener`
This will be used in order to resize the table items to an even height.

## Nested classes/interfaces inherited from interface org.eclipse.emf.compare.rcp.ui.mergeviewer.IMergeViewer

`IMergeViewer.MergeViewerSide`

## Field Summary

### Fields inherited from class org.eclipse.jface.viewers.Viewer

`WIDGET_DATA_KEY`

## Constructor Summary

Constructors
Constructor
Description
`AbstractTableOrTreeMergeViewer(org.eclipse.swt.widgets.Composite parent, IMergeViewer.MergeViewerSide side, ICompareColor.Provider colorProvider, IEMFCompareConfiguration compareConfiguration)`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`protected void`
`handleDispose(org.eclipse.swt.events.DisposeEvent event)`
`protected void`
`handleEraseItemEvent(org.eclipse.swt.widgets.Event event)`
Handle the erase item event.
`protected void`
`handlePaintItemEvent(org.eclipse.swt.widgets.Event event)`
Handle the paint item event.

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl.AbstractStructuredMergeViewer

`createAction, createContextMenu, createControl, fillContextMenu, getControl, getDiff, getSelection, getStructuredViewer, hookDispose, setContentProvider, setLabelProvider, setSelection`

### Methods inherited from class org.eclipse.emf.compare.rcp.ui.internal.mergeviewer.impl.AbstractMergeViewer

`getCompareConfiguration, getDifferenceFilter, getDifferenceGroupProvider, getEffectiveSide, getSide, handleDifferenceFilterChange, handleDifferenceGroupProviderChange`

### Methods inherited from class org.eclipse.jface.viewers.ContentViewer

`getContentProvider, getInput, getLabelProvider, handleLabelProviderChanged, hookControl, labelProviderChanged, setInput`

### Methods inherited from class org.eclipse.jface.viewers.Viewer

`addHelpListener, addSelectionChangedListener, fireHelpRequested, fireSelectionChanged, getData, handleHelpRequest, inputChanged, refresh, removeHelpListener, removeSelectionChangedListener, scrollDown, scrollUp, setData, setSelection`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.viewers.IInputProvider

`getInput`

### Methods inherited from interface org.eclipse.emf.compare.rcp.ui.mergeviewer.IMergeViewer

`refresh, setInput`

### Methods inherited from interface org.eclipse.jface.viewers.ISelectionProvider

`addSelectionChangedListener, removeSelectionChangedListener, setSelection`

## Constructor Details

### AbstractTableOrTreeMergeViewer

public AbstractTableOrTreeMergeViewer(org.eclipse.swt.widgets.Composite parent, IMergeViewer.MergeViewerSide side, ICompareColor.Provider colorProvider, IEMFCompareConfiguration compareConfiguration)
Default constructor.

Parameters:
  `parent` - the parent widget of this viewer.
  `side` - the side of this viewer.
  `colorProvider` - the color provider to use with this viewer.
  `compareConfiguration` - the compare configuration object to use with this viewer.

## Method Details

### handlePaintItemEvent

protected void handlePaintItemEvent(org.eclipse.swt.widgets.Event event)
Handle the paint item event.

Parameters:
  `event` - the paint item event.

### handleEraseItemEvent

protected void handleEraseItemEvent(org.eclipse.swt.widgets.Event event)
Handle the erase item event.

Parameters:
  `event` - the erase item event.

### handleDispose

protected void handleDispose(org.eclipse.swt.events.DisposeEvent event)

Overrides:
  `handleDispose` in class `AbstractStructuredMergeViewer`
See Also:
  - `AbstractStructuredMergeViewer.handleDispose(org.eclipse.swt.events.DisposeEvent)`